# Fighters Endpoint

This endpoint returns basic information on all fighters. This information is kept up to date every 5 minutes.

## **Endpoint URLs**

**For all fighters:**

| Legacy - `https://dde-api.data.imgarena.com/mma/fighters` (Decommissioning 30th Sept 2026) |
| ------------------------------------------------------------------------------------------ |
| **NEW** - `https://dde-api.data.srarena.io/mma/fighters`                                   |

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## **Request Parameters**

| Parameter                   | Description                                                                                                          |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| weightclass={weightclassId} | Return fighters only from a specific weight class. Weight class IDs can be retrieved from the WeightClasses endpoint |
| org="pfl"                   | Filter out results based on the organisation, can pass org = "pfl"                                                   |

## **Response Model:**

### **Fighters Object**

| Field Name   | Type    | Description                                                                                            |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------ |
| weight       | integer | the weigh in weight, in lb, of the fighter. Will be null if unknown.                                   |
| reach        | float   | the reach, in inches, of the fighter. Will be null if unknown.                                         |
| dob          | date    | the date of birth of the fighter                                                                       |
| weightclass  | object  | an object containing information on the fighters weight class                                          |
| fightsOutOf  | string  | the city, state, country code of where the fighter currently fights out of                             |
| rank         | integer | The rank of the fighter. Null if no player ranking                                                     |
| height       | integer | the height, in inches, of the fighter. Will be null if unknown.                                        |
| country      | string  | country of the fighter                                                                                 |
| age          | integer | the age of the fighter                                                                                 |
| accolades    | array   | an array containing information on the belt                                                            |
| lastName     | string  | the last name of the fighter                                                                           |
| stance       | string  | the stance of the fighter. Possible values; Orthodox, Southpaw, Switch, Open. Will be null if unknown. |
| firstName    | string  | the first name of the fighter                                                                          |
| nickName     | string  | the nickname of the fighter                                                                            |
| fighterId    | integer | the id of the fighter.                                                                                 |
| ufcFighterId | string  | will return null                                                                                       |
| pflFighterId | string  | PFL figher ID of the fighter                                                                           |
| born         | string  | the city, state, country code of where the fighter was born                                            |
| record       | object  | an object showing the win/loss/draw/ information of the fighter                                        |

### **Weightclass Object**

| Field Name   | Type    | Description                                                      |
| ------------ | ------- | ---------------------------------------------------------------- |
| weight       | string  | the weight range, in lb, of the weightclass of the fighter       |
| description  | string  | description of the weightclass of the fighter, e.g. welterweight |
| id           | integer | ID of the weightclass of the fighter                             |
| obsolete     | boolean | true if this weightclass is obsolete                             |
| abbreviation | string  | abbreviated description of the weightclass of the fighter        |
| organisation | string  | The organisation that the weightclass is associated to i,e PFL   |

### **Accolade Object**

| Field Name | Type   | Description                                  |
| ---------- | ------ | -------------------------------------------- |
| name       | string | the name of the accolade the fighter has won |
| belt       | string | the belt the fighter has won                 |
| won        | date   | when the accolade was won                    |
| lost       | date   | when the accolade was lost                   |

### **Record Object**

| Field Name | Type    | Description                                           |
| ---------- | ------- | ----------------------------------------------------- |
| wins       | integer | The number of wins in the PFL for that fighter        |
| losses     | integer | The number of losses in the PFL for that fighter      |
| draws      | integer | The number of draws in the PFL for that fighter       |
| noContests | integer | The number of no contests in the PFL for that fighter |

## Sample Response

```
{
        "ufcFighterId": null,
        "pflFighterID": 1241
        "fighterId": 6145,
        "dob": "1995-01-01",
        "rank": null,
        "height": 70,
        "country": null,
        "age": 30,
        "accolades": [],
        "lastName": "Magomedov",
        "weight": 205,
        "reach": 73,
        "weightClass": {
            "weight": "186-205",
            "description": "Light Heavyweight",
            "id": 4,
            "obsolete": false,
            "abbreviation": "LHW"
        },
        "fightsOutOf": null,
        "stance": "southpaw",
        "firstName": "Rasul",
        "nickName": null,
        "born": null,
        "record": {
            "draws": 0,
            "losses": 0,
            "noContests": 0,
            "wins": 7
        }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/pfl/schedule-endpoints-restful/fighters-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
